SoScXMLMotionTarget(3)

NAME
SoScXMLMotionTarget - to be used in parallel with other non-moving targets when parallel states are implemented.

SYNOPSIS

#include <Inventor/navigation/SoScXMLMotionTarget.h>

Inherits SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static SoScXMLMotionTarget * constructSingleton (void)
static void destructSingleton (void)
static SoScXMLMotionTarget * singleton (void)

  Protected Member Functions
virtual SbBool processOneEvent (const ScXMLEvent *event)

  Additional Inherited Members

Detailed Description

to be used in parallel with other non-moving targets when parallel states are implemented.

Member Function Documentation

  SoType SoScXMLMotionTarget::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements SoScXMLNavigationTarget.

  SbBool SoScXMLMotionTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
This function processes one event. The base class implementation does nothing.

Reimplemented from ScXMLEventTarget.

Author

Generated automatically by Doxygen for Coin from the source code.